[REQ] Place on Surface
-
Hi guys,
I would really like it if there's a plugin that works like tools on surface, but instead we place the object into the surface. For example, if we have an airplane and we want to place the rivets in, we usually need to place and then rotate etc. But with this plugin the whole process is automated. So, the workflow is like this: The user clicks the component (rivet in this example) then he/she clicks on the surface and then the rivet is automatically placed on the surface.
ultimatez
-
I have a plugins called repeat copy that does a similar thing, but it does not align the component to the surface normal. I could probably make it do that. That could be an interesting addition to that script.
Chris
-
No plugin needed to make components stick to surface you place it on. Just set the Glue To property to Any of the component and when you place instances of that component it'll align itself to the face you click on.
-
Hi ThomThom,
Yes that works but usually only on flat surfaces and also it's slow if you want to place rivets onto i.e an aircraft body. What I'm thinking is something like repeat copy but it then automatically ''sticks to the surface''. BTW Chris, I'll be waiting for that update!
ultimatez
-
@ultimatez 32 said:
Yes that works but usually only on flat surfaces
When you click a curved surface you will be hitting a face in any case - and the component will align itself to that.
@ultimatez 32 said:
What I'm thinking is something like repeat copy but it then automatically ''sticks to the surface''. BTW Chris, I'll be waiting for that update!
Can't Repeat copy be used as is? If you create the rivet at a Glue To component then would it not stick to the surface as you use Repeat Copy?
-
Placing gluing components will work predictably on 3D meshed surfaces IF you switch View > Hidden Geometry 'on' temporarily so there are faces to snap to, rather than the 'surface'...
-
@tig said:
Placing gluing components will work predictably on 3D meshed surfaces IF you switch View > Hidden Geometry 'on' temporarily so there are faces to snap to, rather than the 'surface'...
I don't notice any problems with it when its off either.
-
@thomthom said:
Can't Repeat copy be used as is? If you create the rivet at a Glue To component then would it not stick to the surface as you use Repeat Copy?
I just tried it and saw that it does not stick to surface.
Chris: if you usedModel.place_component
it would let SU do the alignment. Even has a repeat argument. Only thing is that you need to find a way to get the new instance for the rotation and scaling options you got. http://code.google.com/apis/sketchup/docs/ourdoc/model.html#place_componentObserver maybe?
Or simply querying the Inputpoint for the face you click on to get its normal - might be the easiest considering you need to perform some scaling and rotation. -
Hi guys,
Alright thanks, I'll try the glue function.
ultimatez
-
Hi Guys,
I found a workaround that's quite fast, which is actually using the component browser to place the rivets. First you create the rivet, then delete it. You'll see the rivet in the component browser, and then simply click and then place it'll 'stick' to the geometry.
ultimatez
-
@ultimatez 32 said:
Hi Guys,
I found a workaround that's quite fast, which is actually using the component browser to place the rivets. First you create the rivet, then delete it. You'll see the rivet in the component browser, and then simply click and then place it'll 'stick' to the geometry.
ultimatez
That is what I was initially referring to.
Just occurred to me that you can copy one of these sticky component and just hit Paste. Only drawback is that it's not using the insertion point, instead it uses a corner of the bounding box.Alternative: select one instance of your component and type this into the Ruby Console:
Sketchup.active_model.place_component(Sketchup.active_model.selection[0].definition,true)
-
Hello.
I look for a way to copy component on surface and i found this topic..
The idea of using component browser works well, but it does not not allow to repeat copy so the copies would be glued to the surface. Components are copied on a plane it was firts placed.
So even the rivets in a plane have to be placed one by one (it cannot be copy/pasted).So isn't there a tool yet that would allow it?
There are tools on surface but it only makes shapes, but this tool shows that it could be done.. it's just note done yet.
Plus.. preferably there could be an option not only to copy a component to every face of the surface, but also place it randomly over the surface.This would allow to make things like fur on animals, needles on trees, random spots or grass on hills, etc.
And i need to do all that.. and especially etc.And this:
@unknownuser said:
Alternative: select one instance of your component and type this into the Ruby Console: Sketchup.active_model.place_component(Sketchup.active_model.selection[0].definition,true)
Is a great trick, but i still need to click to place each component.. and i have many, namy more.. thats why i am looking for a way to automate the process.
Any advice?
-
Components onto face? by Chris Fullmer
Components Spray tool by Didier Bur
Advertisement